tigase.xmpp.impl.roster

## Class RosterElement

- java.lang.Object
- - tigase.xmpp.impl.roster.RosterElement

-     public class RosterElement
      extends Object

  Describe class RosterElement here.
  Created: Wed Oct 29 14:21:16 2008
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `INITIAL_LAST_SEEN_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RosterElement(Element roster_el)`
    `RosterElement(JID jid, String name, String[] groups)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroups(String[] groups)`
    `double` | `getActivity()`
    `String[]` | `getGroups()`
    `JID` | `getJid()`
    `long` | `getLastSeen()`
    `String` | `getName()`
    `String` | `getOtherData()`
    `Element` | `getRosterElement()`
    `Element` | `getRosterItem()`
    `RosterAbstract.SubscriptionType` | `getSubscription()`
    `double` | `getWeight()`
    `boolean` | `isModified()`
    `boolean` | `isOnline()`
    `boolean` | `isPersistent()`
    `boolean` | `isPresence_sent()`
    `void` | `setActivity(double activity)`
    `void` | `setGroups(String[] groups)`
    `void` | `setLastSeen(long lastSeen)`
    `void` | `setName(String name)`
    `void` | `setOnline(String resource, boolean online)`
    `void` | `setOtherData(String other_data)`
    `void` | `setPersistent(boolean persistent)`
    `void` | `setPresence_sent(boolean presence_sent)`
    `void` | `setSubscription(RosterAbstract.SubscriptionType subscription)`
    `void` | `setWeight(double weight)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INITIAL_LAST_SEEN_VAL

          protected static final long INITIAL_LAST_SEEN_VAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RosterElement

          public RosterElement(Element roster_el)
                        throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### RosterElement

          public RosterElement(JID jid,
                               String name,
                               String[] groups)

  - ### Method Detail

    - #### addGroups

          public void addGroups(String[] groups)

    - #### getGroups

          public String[] getGroups()

    - #### setGroups

          public final void setGroups(String[] groups)

    - #### getJid

          public JID getJid()

    - #### getName

          public String getName()

    - #### setName

          public final void setName(String name)

    - #### getOtherData

          public String getOtherData()

    - #### setOtherData

          public void setOtherData(String other_data)

    - #### getRosterElement

          public Element getRosterElement()

    - #### getRosterItem

          public Element getRosterItem()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getSubscription

          public RosterAbstract.SubscriptionType getSubscription()

    - #### setSubscription

          public void setSubscription(RosterAbstract.SubscriptionType subscription)

    - #### isModified

          public boolean isModified()

    - #### isOnline

          public boolean isOnline()

    - #### isPresence_sent

          public boolean isPresence_sent()

    - #### setPresence_sent

          public void setPresence_sent(boolean presence_sent)

    - #### setOnline

          public void setOnline(String resource,
                                boolean online)

    - #### isPersistent

          public boolean isPersistent()

    - #### setPersistent

          public void setPersistent(boolean persistent)

    - #### getActivity

          public double getActivity()

    - #### setActivity

          public void setActivity(double activity)

    - #### getWeight

          public double getWeight()

    - #### setWeight

          public void setWeight(double weight)

    - #### getLastSeen

          public long getLastSeen()

    - #### setLastSeen

          public void setLastSeen(long lastSeen)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.